KitPvP errors in Spigot 1.9

Discussion in 'Spigot Plugin Help' started by Fernando378, May 13, 2016.

  1. Hi!

    I just installed the KitPvP (FFA, 1vs1) plugin, but at the very first command /kitpvp setlobby, it says internal errors and spits a lot of errors in the console:

    Any ideas how to fix it? The developer says it was tested under 1.9 so I assume it should work and I am doing something wrong..

    [18:07:51 ERROR]: null org.bukkit.command.CommandException: Unhandled exception executing command 'kitpvp' in plugin uKitPvP v3.4.2-b5 at org.bukkit.command.PluginCommand.execute(PluginCommand.java:46) ~[spigot-1.9.jar:git-Spigot-1a196e1-6f032cd] at org.bukkit.command.SimpleCommandMap.dispatch(SimpleCommandMap.java:141) ~[spigot-1.9.jar:git-Spigot-1a196e1-6f032cd] at org.bukkit.craftbukkit.v1_9_R1.CraftServer.dispatchCommand(CraftServer.java:645) ~[spigot-1.9.jar:git-Spigot-1a196e1-6f032cd] at net.minecraft.server.v1_9_R1.PlayerConnection.handleCommand(PlayerConnection.java:1302) [spigot-1.9.jar:git-Spigot-1a196e1-6f032cd] at net.minecraft.server.v1_9_R1.PlayerConnection.a(PlayerConnection.java:1137) [spigot-1.9.jar:git-Spigot-1a196e1-6f032cd] at net.minecraft.server.v1_9_R1.PacketPlayInChat.a(PacketPlayInChat.java:45) [spigot-1.9.jar:git-Spigot-1a196e1-6f032cd] at net.minecraft.server.v1_9_R1.PacketPlayInChat.a(PacketPlayInChat.java:1) [spigot-1.9.jar:git-Spigot-1a196e1-6f032cd] at net.minecraft.server.v1_9_R1.PlayerConnectionUtils$1.run(SourceFile:13) [spigot-1.9.jar:git-Spigot-1a196e1-6f032cd] at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:511) [?:1.8.0_72] at java.util.concurrent.FutureTask.run(FutureTask.java:266) [?:1.8.0_72] at net.minecraft.server.v1_9_R1.SystemUtils.a(SourceFile:45) [spigot-1.9.jar:git-Spigot-1a196e1-6f032cd] at net.minecraft.server.v1_9_R1.MinecraftServer.D(MinecraftServer.java:721) [spigot-1.9.jar:git-Spigot-1a196e1-6f032cd] at net.minecraft.server.v1_9_R1.DedicatedServer.D(DedicatedServer.java:400) [spigot-1.9.jar:git-Spigot-1a196e1-6f032cd] at net.minecraft.server.v1_9_R1.MinecraftServer.C(MinecraftServer.java:660) [spigot-1.9.jar:git-Spigot-1a196e1-6f032cd] at net.minecraft.server.v1_9_R1.MinecraftServer.run(MinecraftServer.java:559) [spigot-1.9.jar:git-Spigot-1a196e1-6f032cd] at java.lang.Thread.run(Thread.java:745) [?:1.8.0_72] Caused by: java.lang.NullPointerException at org.bukkit.ChatColor.translateAlternateColorCodes(ChatColor.java:324) ~[spigot-1.9.jar:git-Spigot-1a196e1-6f032cd] at me.Teeage.KitPvP.Manager.Messages.translate(Messages.java:77) ~[?:?] at me.Teeage.KitPvP.Manager.Messages.Prefix(Messages.java:89) ~[?:?] at me.Teeage.KitPvP.Commands.COMMAND_kitpvp.onCommand(COMMAND_kitpvp.java:49) ~[?:?] at org.bukkit.command.PluginCommand.execute(PluginCommand.java:44) ~[spigot-1.9.jar:git-Spigot-1a196e1-6f032cd] ... 15 more

    Thank you!

    PS. I have pex installed, but I was op when I issued the command.
     
    #1 Fernando378, May 13, 2016
    Last edited: May 13, 2016
  2. I am positive that when he mentioned 1.9 it meant on your own risk I recommend using 1.7-1.8 because that gives the best PvP experience.
     
  3. @Fernando378, I'm sorry to say this but it looks like it does not match the version.